Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7952/?format=api
{ "ob_id": 7952, "uuid": "63a8cb9f59cfa7c1a99ad9fb3ca0d7fc", "title": "NCAVEO: Delta-T Devices Ltd BF2 sunshine sensor data\r\n\r\n", "abstract": "A Delta-T BF2 Sunshine Sensor was used to measure the total and diffuse sky irradiance every minute from 10:30 to 13:00 hours on the 17th June 2006, as part of the Network for Calibration and Validation of EO data 2006 Field Campaign. 150 readings were produced in total. The direct energy of the sun on the instrument is calculated from the differences between the total energy and diffuse component recorded simultaneously. ", "keywords": "NCAVEO, SUNSHINE SENSOR, CHILBOLTON", "publicationState": "published", "dataPublishedTime": "2008-09-26T08:52:05", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/12659/?format=api", "dataPath": "/neodc/ncaveo_field/data/BF2", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 41798, "numberOfFiles": 4, "fileFormat": "Data is in ASCII format. " }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2275/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/172/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/86156/?format=api" ], "dataLineage": "These data were provided to NEODC by university of Southampton, who carried out work to convert formats to NASA-Ames, and write metadata documents. The metadata documents describing the processing are archived alongside the data as PDF files.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5168/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7827/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7824/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30128/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32612/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32617/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32611/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32615/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32616/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32618/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32614/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32613/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/7955/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }